<template>
  <header class="navbar w-full">
    <div
      class="container mx-auto flex items-center justify-center md:justify-between h-full"
    >
      <a
        id="scroll"
        v-smooth-scroll="{ duration: 750, offset: 0 }"
        href="#subscribe"
      >
        <img
          src="~/assets/sticker-interhack.svg"
          class="logo mx-4"
          alt="Logo do Interhack"
        />
      </a>
      <nav class="hidden md:block">
        <ul class="flex">
          <li class="mx-4">
            <a
              id="scroll"
              v-smooth-scroll="{ duration: 750, offset: -80 }"
              href="#phases"
              >Etapas</a
            >
          </li>
          <li class="mx-4">
            <a
              id="scroll"
              v-smooth-scroll="{ duration: 750, offset: -79 }"
              href="#prizes"
              >Prêmios</a
            >
          </li>
          <li class="mx-4">
            <a
              id="scroll"
              v-smooth-scroll="{ duration: 750, offset: -79 }"
              href="#judgment"
              >Critérios</a
            >
          </li>
          <!-- <li class="mx-4">
            <a
              id="scroll"
              v-smooth-scroll="{ duration: 750, offset: -79 }"
              href="#judges"
              >Jurados</a
            >
          </li> -->
          <li class="mx-4">
            <a
              id="scroll"
              v-smooth-scroll="{ duration: 750, offset: -80 }"
              href="#sponsors"
              >Patrocinadores</a
            >
          </li>
        </ul>
      </nav>
    </div>
  </header>
</template>

<style scoped>
.navbar {
  height: 80px;
  background-color: white;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.25);
  position: fixed;
  top: 0;
  z-index: 1040;
}

.logo {
  height: 80px;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
  color: #8795a1;
}

a:hover {
  color: #3d4852;
}
</style>
